#ifndef MENU_H
#define MENU_H

#include <string>
#include "Gamepad.h"
;

/** Map Class
@author Dobri Tsvetkov, University of Leeds
@brief C++ class define a map for the track
@date May 2019
*/
class Menu {
    
    public:
    /**
    @brief Into to display the logo 
    @param N5110 &lcd, Gamepad &pad 
    @details reads the static int array and calls the next part
    */
    void intro(N5110 &lcd, Gamepad &pad);
    
    /**
    @brief Call the subsequent acts 
    @param N5110 &lcd, Gamepad &pad 
    @details 
    */
    void story(N5110 &lcd, Gamepad &pad);
    /**
    @brief display first part of the conversation 
    @param N5110 &lcd, Gamepad &pad 
    @details 
    */
    void actI(N5110 &lcd, Gamepad &pad);
    /**
    @brief Display the second part of the conversation
    @param N5110 &lcd, Gamepad &pad 
    @details 
    */
    void actII(N5110 &lcd, Gamepad &pad);
    
    /**
    @brief Call the option method
    @param N5110 &lcd, Gamepad &pad 
    @details 
    */
    int startMainMenu(N5110 &lcd, Gamepad &pad);
    
    /**
    @brief Decide which choice has been chosen
    @param N5110 &lcd, Gamepad &pad 
    @details 
    */
    void drawSelections(N5110 &lcd, Gamepad &pad);
    
    /**
    @brief Draw the controls option
    @param N5110 &lcd, Gamepad &pad 
    @details 
    */
    void displayControls(N5110 &lcd, Gamepad &pad);
    
    // private part of the class definition  
    private:
    
    int number_of_sprites;
    static int logo0[];   /**<static int logo  */
    static int choice1[]; /**<static int menu option 1 light */
    static int choice2[]; /**< static int menu option 2 light */
    static int choice1_dark[];/**<static int menu option 1 dark */
    static int choice2_dark[];/**<static int menu option 2 dark */
    static int selector[]; /**<static int selector to highlight the options */
    static int clr_selector[]; /**<static int clear selector  */
        
};

#endif