
#include "functions.h"

void clearScreen(N5110 &lcd){
    
    lcd.clear();
    lcd.refresh();
}

void flashLEDs(Gamepad &pad, int n, float val, int times){
    pad.leds_off();   
    for (int i = 0; i < times; i++) {
        for (int p = 0; p < n/2; p++) {
            pad.led(p,val);
            pad.led(n/2 + p,val);
            wait(0.2);
        }
        wait(0.1);
        pad.leds_off();   
    }
}

void printSoundString(N5110 &lcd, Gamepad &pad, char const *str, 
                                            unsigned int const  x,
                                            unsigned int const  y,
                                            float frequency, float dur) {
    if (y<BANKS) {  // check if printing in range of y banks

        int n = 0 ; // counter for number of characters in string
        // loop through string and print character
        while(*str) {

            lcd.printChar( *str, n*5 + x, y); // write the char to the buffer
            str++;  // go to next character in string
            n++;    // increment index
            pad.tone( frequency, 0.1); // play the beep
            wait(dur); // wait for the beep to end
            lcd.refresh();
        }
    }
    
}

void clearRows(N5110 &lcd, int row){
    
    wait(0.1);
    for( int i = 0 ; i < 16; i++){
        for( int p = 0; p < row; p++) {
            lcd.printChar( ' ',  i*5, p); // write the char to the buffer
            lcd.refresh();
        }
        wait(0.1);
    }   
}

void drawFrame(N5110 &lcd) {    
    
    lcd.drawLine(0, 0, 83, 0, 1);
    lcd.drawLine(0, 47, 83, 47, 1);
    lcd.drawLine(0, 0, 0, 47, 1);
    lcd.drawLine(83, 0, 83, 47, 1);
}
