#ifndef FUNCTIONS_H
#define FUNCTIONS_H

#include "N5110.h"
#include "Gamepad.h"

/** Useful functions file
@author Dobri Tsvetkov, University of Leeds
@brief functions that help working with the Lcs/Gampes
@date May 2019
*/ 

/**
@brief Clear Screen function
@param Lcd reference
@details clear the buffer then flushes
*/
void clearScreen(N5110 &lcd);

/**
@brief flash the LEDs a number of times
@param ref to the Gamepad and lcd, which leds, dyty cycle, flash times
@details 
*/
void flashLEDs(Gamepad &pad, int n, float val, int times);
/**
@brief flash the LEDs a number of times
@param ref to the Gamepad, lcd, string position, frequency and duration of sound
@details prints the each char with sound
*/
void printSoundString(N5110 &lcd, Gamepad &pad, char const *str, 
                                            unsigned int const  x,
                                            unsigned int const  y,
                                            float frequency, float dur);
/**                                      
@brief Clear up to int row
@param ref to lcd and int row
@details clear up to number of rows
*/
void clearRows(N5110 &lcd, int row); 
/**                                      
@brief Draw frame of the screen
@param ref to lcd
@details
*/
void drawFrame(N5110 &lcd);                                 

#endif